Bug 480988 - SELinux is preventing gate_news (mailman_queue_t) "read" to inotify (inotifyfs_t)
SELinux is preventing gate_news (mailman_queue_t) "read" to inotify (inotifyf...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 11:01 EST by Anthony Messina
Modified: 2009-11-18 05:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2009-01-21 11:01:53 EST
Using selinux-policy-targeted-3.5.13-38.fc10.noarch, on Fedora 10 x86_64, Mailman's gate_news process is not allowed access to inotify:

Source Context:    system_u:system_r:mailman_queue_t:s0-s0:c0.c1023
  Target Context:    system_u:object_r:inotifyfs_t:s0
  Target Objects:    inotify [ dir ]
  Source:    gate_news
  Source Path:    /usr/bin/python
  Port:    <Unknown>
  Host:    xxxx
  Source RPM Packages:    python-2.5.2-1.fc10
  Target RPM Packages:  
  Policy RPM:    selinux-policy-3.5.13-38.fc10
  Selinux Enabled:    True
  Policy Type:    targeted
  MLS Enabled:    True
  Enforcing Mode:    Permissive
  Plugin Name:    catchall_file
  Host Name:    xxxx
  Platform:    Linux xxxx 2.6.27.9-159.fc10.x86_64 #1 SMP Tue Dec 16 14:47:52 EST 2008 x86_64 x86_64
  Alert Count:    61
  First Seen:    Wed Jan 21 04:40:01 2009
  Last Seen:    Wed Jan 21 09:50:01 2009
  Local ID:    4122b4c6-fd6d-4842-91d4-d42fad8c95d2
  Line Numbers:  
  Raw Audit Messages :

node=xxxx type=AVC msg=audit(1232553001.394:40872): avc: denied { read } for pid=12993 comm="gate_news" path="inotify" dev=inotifyfs ino=1 scontext=system_u:system_r:mailman_queue_t:s0-s0:c0.c1023 tcontext=system_u:object_r:inotifyfs_t:s0 tclass=dir 
node=xxxx type=SYSCALL msg=audit(1232553001.394:40872): arch=c000003e syscall=59 success=yes exit=0 a0=197fe00 a1=197fd70 a2=197f090 a3=3c78d6da70 items=0 ppid=12986 pid=12993 auid=41 uid=41 gid=41 euid=41 suid=41 fsuid=41 egid=41 sgid=41 fsgid=41 tty=(none) ses=7065 comm="gate_news" exe="/usr/bin/python" subj=system_u:system_r:mailman_queue_t:s0-s0:c0.c1023 key=(null)
Comment 1 Miroslav Grepl 2009-01-22 05:46:57 EST
Anthony,

You can allow this for now.

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
Comment 2 Anthony Messina 2009-01-22 12:49:18 EST
(In reply to comment #1)
> Anthony,
> 
> You can allow this for now.
> 
> # grep avc /var/log/audit/audit.log | audit2allow -M mypol
> # semodule -i mypol.pp

I do understand that the above procedure will allow Mailman to access inotify, however, isn't this a bug as recent versions of Mailman are using inotify by default?
Comment 3 Daniel Walsh 2009-01-26 13:52:18 EST
Miroslav,

	fs_list_inotifyfs(mailman_$1_t)

Should be added to 

template(`mailman_domain_template', `


In mailman.if.
Comment 4 Miroslav Grepl 2009-01-27 13:43:47 EST
Fixed in selinux-policy-3.5.13-41.fc10
Comment 5 Anthony Messina 2009-01-28 03:27:16 EST
Ok, using the updated packages from Koji, this is resolved.  Thank you.
Comment 6 Bug Zapper 2009-11-18 05:49:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.